// JavaScript Document
function change_url(url)
{
	var myDate = new Date().getTime();
	var newUrl = url + "?" + myDate;
	
	return newUrl;
}
/*-------------------- Code for global use ---------------------*/
// 获取页面的高度、宽度
function getPageSize() {
    var xScroll, yScroll;
    if (window.innerHeight && window.scrollMaxY) {
        xScroll = window.innerWidth + window.scrollMaxX;
        yScroll = window.innerHeight + window.scrollMaxY;
    }
    else {
        if (document.body.scrollHeight > document.body.offsetHeight) { // all but Explorer Mac    
            xScroll = document.body.scrollWidth;
            yScroll = document.body.scrollHeight;
        }
        else { // Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari
            xScroll = document.body.offsetWidth;
            yScroll = document.body.offsetHeight;
        }
    }
    var windowWidth, windowHeight;
    if (self.innerHeight) { // all except Explorer    
        if (document.documentElement.clientWidth) {
            windowWidth = document.documentElement.clientWidth;
        }
        else {
            windowWidth = self.innerWidth;
        }
        windowHeight = self.innerHeight;
    }
    else {
        if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode    
            windowWidth = document.documentElement.clientWidth;
            windowHeight = document.documentElement.clientHeight;
        }
        else {
            if (document.body) { // other Explorers    
                windowWidth = document.body.clientWidth;
                windowHeight = document.body.clientHeight;
            }
        }
    }
    // for small pages with total height less then height of the viewport   
    //pageHeight =  (yScroll < windowHeight)?windowHeight:xScroll;

    if (yScroll < windowHeight) {
        pageHeight = windowHeight;
    }
    else {
        pageHeight = yScroll;
    }
    /**/
    // for small pages with total width less then width of the viewport   
    //pageWidth =  (xScroll < windowWidth)?xScroll:windowWidth;

    if (xScroll < windowWidth) {
        pageWidth = xScroll;
    }
    else {
        pageWidth = windowWidth;
    }
    /**/
    arrayPageSize = new Array(pageWidth, pageHeight, windowWidth, windowHeight);
    return arrayPageSize;
}
//For open new window, used for help page
function win_pop() {
    var arg = win_pop.arguments;
    var url = arg[0];
    var wi = arg[1];
    var he = arg[2];
    var to = (arg.length > 3) ? arg[3] : screen.Height / 2 - he / 2;
    var le = (arg.length > 4) ? arg[4] : screen.Width / 2 - wi / 2;
    var newWin = window.open(url, 'pop', 'location=no,toolbar=no,menubar=no,resizable=yes,scrollbars=yes,status=yes,width=' + wi + ',height=' + he + ',top=' + to + ',left=' + le + '');
    newWin.opener = self;
    newWin.focus();
}
//For page logout use
//javascript:window.history.forward(1);
function mylogout() {
	if (confirm('Click Ok to exit without saving.\n\rClick Cancel to return.'))
	{
		$.ajax({
			type: "POST",
			url: "/ajax/mylogout",
			timeout:5000,
			success: function (result) {
				var data = result.split("|");
				return 0;
			},
			error: function (result, status) {
				if (status == 'error') {
					//alert(status);
				}
				return -1;
			}
		});
		if (navigator.userAgent.indexOf("MSIE") > 0) {
			if (navigator.userAgent.indexOf("MSIE 6.0") > 0) {
				window.opener = null;
			} else {
				window.parent.location.replace("login_v3.5.html");
			}
		} else if (navigator.userAgent.indexOf("Chrome") > 0) { //for Chrome
			//var opened=window.open('','_self');
			//opened.close();
			//window.location.replace("about:blank");
			window.parent.location.replace("login_v3.5.html"); //for frames
		} else {
			window.opener = null;
			window.parent.location.replace("login_v3.5.html");
		}
		window.parent.parent.location.replace("login_v3.5.html");  //added for ADC project
	}
}

// For Page Clock display
function clock() {  //Ê±ÖÓ
    var sys_time = document.getElementById("DateTime").value;
    var current_time = new Date(sys_time)
    with (current_time) {
        var years = getFullYear();
        var months = getMonth() + 1;
        var days = getDate();
        var hours = getHours();
        var minutes = getMinutes();
        var seconds = getSeconds();
        if (months <= 9) months = "0" + months;
        if (days <= 9) days = "0" + days;
        if (hours <= 9) hours = "0" + hours;
        if (minutes <= 9) minutes = "0" + minutes;
        if (seconds <= 9) seconds = "0" + seconds;
        var newtime = new Date(years, months - 1, days, hours, minutes, seconds + 1);
        document.getElementById("DateTime").value = newtime;
    }
    document.getElementById("ModelTime").innerHTML = years + "-" + months + "-" + days + " " + hours + ":" + minutes + ":" + seconds;//显示
}

//For ValidateData, like ipaddress mac num etc.
function ValidateData(Conditional, Obj, strError) {
    var epos = Conditional.search("=");
    var command = "";
    var cmdvalue = "";
    var obj = "#" + Obj;
    if (epos >= 0) {
        command = Conditional.substring(0, epos);
        cmdvalue = Conditional.substr(epos + 1);
    }
    else {
        command = Conditional;
    }
    switch (command) {
        case "req":
            if (eval($(obj).val().length) == 0) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": Required Field";
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "num":
            var charpos = $(obj).val().search("[^0-9]");
            if ($(obj).val().length > 0 && charpos >= 0) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": Only digits allowed";
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "ID":
            if (!Validator.isSlaveID($(obj).val())) {
                $(obj).addClass('highlight-error');
                alert(strError);
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "lessthan":
            if (isNaN($(obj).val())) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": Should be a number";
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            if (eval($(obj).val()) > eval(cmdvalue)) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": value should be less than " + cmdvalue;
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "greaterthan":
            if (isNaN($(obj).val())) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": Should be a number";
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            if (eval($(obj).val()) < eval(cmdvalue)) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": value should be greater than " + cmdvalue;
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "ipaddress":
            if (eval($(obj).val().length) > 0) {
                if (!$(obj).val().match("^(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])\\.(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])\\.(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])\\.(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])$")) {
                    if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": Invalid ip address found";
                    $(obj).addClass('highlight-error');
                    alert(strError);
                    $(obj).focus();
                    return false;
                }
            }
            $(obj).removeClass('highlight-error');
            break;
        case "mac":
            var charpos = $(obj).val().search("[^A-Fa-f0-9]:");
            if (($(obj).val().length > 0 && charpos >= 0) && ($(obj).val().length < 17)) {
                if (!strError || strError.length == 0) strError = $(obj).attr("id") + ": Only digits and [a-f] and [A-F] allowed";
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "month":
            var objmonth = $(obj).val();
            if ((parseInt(objmonth, 10) < 1) || (parseInt(objmonth, 10) > 12)) {
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "day":
            var objday = $(obj).val();
            if ((parseInt(objday, 10) < 1) || (parseInt(objday, 10) > 31)) {
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "hour":
            var objhour = $(obj).val();
            if ((parseInt(objhour, 10) < 1) || (parseInt(objhour, 10) > 23)) {
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "minute":
            var objminute = $(obj).val();
            if ((parseInt(objminute, 10) < 0) || (parseInt(objminute, 10) > 59)) {
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
        case "second":
            var objsecond = $(obj).val();
            if ((parseInt(objsecond, 10) < 0) || (parseInt(objsecond, 10) > 59)) {
                $(obj).addClass('highlight-error');
                alert(strError);
                $(obj).focus();
                return false;
            }
            $(obj).removeClass('highlight-error');
            break;
    }
    return true;
}
/*
//For page i18n use
$(document).ready(function () {
    "use strict";
    var lang = 'en';
    if ((lang == undefined) || (lang == '')) {
        localize('en');
        $.cookie('language_value', 'en', {expires: 365, path: '/'});
    } else {
        localize(lang);
    }
})
*/
function localize(lan) {
    loadProperties(lan);
}

function loadProperties(lan) {
    $.i18n.properties({
        name: 'strings',
        path: 'i18n/',
        mode: 'both',
		cache: 'true',
        //language:$.i18n.browserLang(),
        language: lan,
        callback: function () {
            // Two method usage,just a example
            if (0) { //Do not recommend
                $('#username').html($.i18n.prop('string_username'));
                $('#password').html($.i18n.prop('string_username'));
            } else { //Recommend : data-local='string_username' ---> selector=key   (id='xxx' is not necessary)
                $("[data-local]").each(function () {
                    $(this).html($.i18n.prop($(this).data("local")));
                });
                $("[data-value]").each(function () {
                    $(this).val($.i18n.prop($(this).data("value")));
                });
                $("[data-placeholder]").each(function () {
                    $(this).attr("placeholder", $.i18n.prop($(this).data("placeholder")));
                });
            }
        }
    });
}

function mouseoverd(obj) {
    if (obj.className == "bg_input") {
        obj.style.background = "#FFEDC4"
    }
    else if (obj.className == "bg_white") {
        obj.style.background = "#F4F4F4"
    }
}

function mouseoutd(obj) {
    if (obj.className == "bg_input") {
        obj.style.background = "#FFFBF2"
    }
    else if (obj.className == "bg_white") {
        obj.style.background = "#ffffff"
    }
}

function IsSure(conditional) {
    var lang = 'en';
    var message = {
        "reboot": {
            "zh-CN": "是否重启设备？",
            "en": "Do you want to reboot the gateway?"
        },
        "restore": {
            "zh-CN": "是否恢复出厂设置？",
            "en": "Do you want to restore the gateway to the Factory Default configuration?"
        }
    };
    var result;
    switch (conditional) {
        case 1:
	    result = confirm(message['reboot'][lang]);
	    break;
	case 2:
	    result = confirm(message['restore'][lang]);
            break;
        default:
            break;
    }
    return result;
}
/*-------------------- Code for nav_v3.4.html ---------------------*/


/*-------------------- Code for overview_v3.4.html ---------------------*/
function basic_infomation() {
	var bnUrl = change_url("/ajax/basic_infomation");
    $.ajax({
        type: "GET",
        url: bnUrl,
		timeout:5000,
        success: function (result) {
            var data = result.split("|");
			var len	 = data.length;
            $("#moduletype").html(data[2]);
			$("#devicesn").html(data[3]);
            $("#devicename").html(data[4]);
            $("#eth0ip").html(data[5]);
            $("#eth0mac").html(data[6].toUpperCase());
			if(len > 10){
				$("#eth1ip").html(data[7]);
				$("#eth1mac").html(data[8].toUpperCase());
				$("#DateTime").val(data[9]);
				$("#version").html(data[10]);//1网口版本号 8 2网口版本号10
			}
			else{
				$("#DateTime").val(data[7]);
				$("#version").html(data[8]);//1网口版本号 8 2网口版本号10
			}
        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}
function Mode_Changed(conditional) {
    if (conditional == 2) {
        $.cookie('gateway_mode', 2, {expires: 365, path: '/'});
        $("#WKMode").val("Transparent   Mode");
        $("#operationmode").text("Agent");
    }
    else {
        $.cookie('gateway_mode', 1, {expires: 365, path: '/'});
        $("#WKMode").val("Agent   Mode");
        $("#operationmode").text("Transparent");
    }
    window.parent.frames["leftFrame"].location.reload();
    //window.parent.location.reload();
}
function Mode_Get() {
	var mnUrl = change_url("/ajax/Mode_Get");
    $.ajax({
        type: "GET",
        url: mnUrl,
		timeout:5000,
        success: function (result) {
            var data = result.split("|");
            Mode_Changed(parseInt(data[2]));
            return parseInt(data[2]);
        },
        error: function (result, status) {
            if (status == 'error') {
                //alert(status);
            }
            return -1;
        }
    });
}
function Mode_Set() {
    $.ajax({
        type: "POST",
        url: "/ajax/Mode_Set",
		timeout:5000,
        data: {
            "Mode": $("#WKMode").val()
        },
        success: function (result) {
            var data = result.split("|");
            if ('en' == 'zh-CN') alert("设置成功！");
            else alert("Success!");

            Mode_Changed(parseInt(data[2]));
        },
        error: function (result, status) {
            if (status == 'error') {
                alert("Failed!");
            }
        }
    });
}

/*-------------------- Code for basicsettings_v3.4.html use ---------------------*/
function obtain_infomation() {
    $.ajax({
        type: "POST",
        url: "/ajax/basicpage_infomation",
        data: "NoUse",
        success: function (result) {
            var data = result.split("|");
            $("#gateway_name").val(data[2]);
            var current_time = new Date(data[3]);
            with (current_time) {
                var years = getFullYear();
                var months = getMonth() + 1;
                var days = getDate();
                var hours = getHours();
                var minutes = getMinutes();
                var seconds = getSeconds();
                if (months <= 9) months = "0" + months;
                if (days <= 9) days = "0" + days;
                if (hours <= 9) hours = "0" + hours;
                if (minutes <= 9) minutes = "0" + minutes;
                if (seconds <= 9) seconds = "0" + seconds;
                $("#year").val(years);
                $("#month").val(months);
                $("#day").val(days);
                $("#hour").val(hours);
                $("#minute").val(minutes);
                $("#second").val(seconds);
            }
            $("#time_server").val(data[4]);
            $("#time_interval").val(data[5]);
            if (parseInt(data[6]) == 1)
                SyncEnable();
            else
                SyncDisable();

            if (parseInt(data[7]) == 1)
                $("#RTC_sync").attr("Checked", "Checked");
            else
                $("#RTC_sync").removeAttr("Checked");

        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}
function SyncEnable() {
    $("#time_server").removeAttr("disabled");
    $("#time_server").removeAttr("backgroundColor");
    $("#time_interval").removeAttr("disabled");
    $("#time_interval").removeAttr("backgroundColor");
    $("#enable").attr("Checked", "Checked");
    $("#disable").removeAttr("Checked");
}
function SyncDisable() {
    $("#time_server").attr("disabled", "false");
    $("#time_server").attr("backgroundColor", "gray");
    $("#time_interval").attr("disabled", "false");
    $("#time_interval").attr("backgroundColor", "gray");
    $("#disable").attr("Checked", "Checked");
    $("#enable").removeAttr("Checked");
}
function CheckDateTime() {
    if (
        ValidateData("req", "year", "Year: Must fill in!") &&
        ValidateData("req", "month", "Mouth: Must fill in!") &&
        ValidateData("req", "day", "Date: Must fill in!") &&
        ValidateData("req", "hour", "Hour: Must fill in!") &&
        ValidateData("req", "minute", "Minutes: Must fill in!") &&
        ValidateData("req", "second", "Seconds: Must fill in!") &&
        ValidateData("num", "year", "Year--Input error") &&
        ValidateData("num", "month", "Month--Input error") &&
        ValidateData("num", "day", "Day--Input error") &&
        ValidateData("num", "hour", "Hour--Input error") &&
        ValidateData("num", "minute", "Minute--Input error") &&
        ValidateData("num", "second", "Seconds--Input error") &&
        ValidateData("month", "month", "Month--The input values beyond the range[1-12]") &&
        ValidateData("day", "day", "Dat--The input values beyond the range[1-31]") &&
        ValidateData("hour", "hour", "Hour--The input values beyond the range[0-23]") &&
        ValidateData("minute", "minute", "Minute--The input values beyond the range[0-59]") &&
        ValidateData("second", "second", "Seconds--The input values beyond the range[0-59]")
    )
        return true;
    else
        return false;
}
function CheckTimeServer(option) {
    var TimeRadios = document.getElementsByName("sync");
    for (var i = 0; i < TimeRadios.length; i++) {
        if (TimeRadios[i].checked) {
            /*if(TimeRadios[i].value=="disable"){*/
            if (TimeRadios[i].value == "2") {
                switch (option) {
                    case 1:
                        SyncDisable();
                        break;
                    case 2:
                        return CheckDateTime();
                        break;
                }
            }
            /*else if(TimeRadios[i].value=="enable"){*/
            else if (TimeRadios[i].value == "1") {
                switch (option) {
                    case 1:
                        SyncEnable();
                        break;
                    case 2:
                        var timeInterval = document.getElementById("time_interval").value;
                        if (
                            CheckDateTime() &&
                            ValidateData("req", "time_server", "Time sync server: Must fill in") &&
                            ValidateData("ipaddress", "time_server", "Time sync server: The input values beyond the range") &&
                            ValidateData("req", "time_interval", "Time interval: Must fill in")
                        ) {
                            if (timeInterval == 0) {
                                alert("The time interval must be greater than 0, please enter again!");
                                document.getElementById('time_interval').focus();
                                return false;
                            }
                            else
                                return true;
                        }
                        else
                            return false;
                }
            }
        }
    }
}
function basic_set() {
    //$.cookie("language_value", "en");
    //var result = CheckDateTime();
    //if(result == false) return result;
    var result = CheckTimeServer(2);
    if (result == true) {
        var RTC_sync = ($("input:checkbox:checked").val()) ? 1 : 0;
        var TimeRadio = $('input:radio:checked').val();

        $.ajax({
            type: "POST",
            url: "/ajax/basic_set",
            data: {
                "Gateway_name": $("#gateway_name").val(),
                "year": $("#year").val(),
                "month": $("#month").val(),
                "day": $("#day").val(),
                "hour": $("#hour").val(),
                "minute": $("#minute").val(),
                "second": $("#second").val(),
                "minute": $("#minute").val(),
                "RTC_sync": RTC_sync,
                "Time_sync": TimeRadio,
                "time_server": $("#time_server").val(),
                "time_interval": $("#time_interval").val()
            },
            success: function (result) {
                var data = result.split("|");
                if (parseInt(data[2]) == 2) {
                    if ('en' == 'zh-CN') alert("设置成功！如果进行了时间同步功能的使能、禁止切换，请重启网关使配置生效！");
                    else alert("Success! If you switching the NTP function, please Reboot the gateway make the configuration take effect!");
                }
            },
            error: function (result, status) {
                if (status == 'error') {//alert(status);
                }
                return -1;
            }
        });
    }
    else
        return result;
}

/*-------------------- Code for networksettings_v3.4.html use ---------------------*/
function IPMode_Select(option) {
    var ids_0 = ["#IPMode_0", "#IPAddress_0", "#Netmask_0", "#Gateway_0", "#MAC_0", "#DNS_0"];
    var ids_1 = ["#IPMode_1", "#IPAddress_1", "#Netmask_1", "#Gateway_1", "#MAC_0", "#DNS_1"];

    if (option == 1) {
        if ($(ids_0[0]).val() == 2) { // 是DHCP
            for (var index = 1; index < ids_0.length; index++) {
                // var inner_index = index + 1;
                $(ids_0[index]).attr("disabled", "disabled").attr("backgroundColor", "gray");
            }
        } else {
            for (var index = 1; index < ids_0.length; index++) {
                // var inner_index = index + 1;
                $(ids_0[index]).removeAttr("disabled").removeAttr("backgroundColor");
            }
        }
    }
    if (option == 2) {
        if ($(ids_1[0]).val() == 2) {
            for (var index = 1; index < ids_0.length; index++) {
                // var inner_index = index + 1;
                $(ids_1[index]).attr("disabled", "disabled").attr("backgroundColor", "gray");
            }
        } else {
            for (var index = 1; index < ids_0.length; index++) {
                // var inner_index = index + 1;
                $(ids_1[index]).removeAttr("disabled").removeAttr("backgroundColor");
            }
        }
    }
}
function ValidateIP(option) {
    if (option == 1) {
        if (
            ValidateData("req", "IPAddress_0", "The IP Address can't be empty. Please enter an IP Address.") &&
            ValidateData("ipaddress", "IPAddress_0", "The IP Address is invalid. Please enter a valid IP Address.") &&
            ValidateData("req", "Netmask_0", "The Subnet Mask can't be empty. Please enter a Subnet Mask.") &&
            ValidateData("ipaddress", "Netmask_0", "The subnet mask is invalid. Please enter a valid subnet mask.") &&
            ValidateData("ipaddress", "Gateway_0", "The Default Gateway is invalid. Please enter a vaild Default Gateway IP Address.")/* &&
         ValidateData("req","Gateway_0","Gateway: Must fill in!")
         */
        ) {
            if (($("#IPAddress_0").val().split(".")[3] - 0) == 255) {
                alert("The IP Address is invalid. Please enter a valid IP Address.");
                return false;
            }
            return true;
        } else {
            return false;
        }
    } else if (option == 2) {
        if (
            ValidateData("req", "IPAddress_1", "The IP Address can't be empty. Please enter an IP Address.") &&
            ValidateData("ipaddress", "IPAddress_1", "The IP Address is invalid. Please enter a valid IP Address.") &&
            ValidateData("req", "Netmask_1", "The Subnet Mask can't be empty. Please enter a Subnet Mask.") &&
            ValidateData("ipaddress", "Netmask_1", "The subnet mask is invalid. Please enter a valid subnet mask.") &&
            ValidateData("ipaddress", "Gateway_1", "The Default Gateway is invalid. Please enter a vaild Default Gateway IP Address.")/* &&
         ValidateData("req","Gateway_1","Gateway: Must fill in!") &&
         */
        ) {
            if (($("#IPAddress_1").val().split(".")[3] - 0) == 255) {
                alert("The IP Address is invalid. Please enter a valid IP Address.");
                return false;
            }
            return true;
        } else {
            return false;
        }
    }
}

function network_infomation() {
	var nnUrl = change_url("/ajax/network_infomation");
    $.ajax({
        type: "GET",
        url: nnUrl,
		timeout:5000,
        success: function (result) {
            var data = result.split("|");
            if (data[2] != undefined) {
                if (parseInt(data[2]) == 1) { // 1是DHCP，0是Static
                    $("#IPMode_0").val(2);
                    IPMode_Select(1);
                    // $("#IPAddress_0").attr('disabled', 'disabled');
                    // $("#Netmask_0").attr('disabled', 'disabled');
                    // $("#Gateway_0").attr('disabled', 'disabled');
                    // $("#DNS_0").attr('disabled', 'disabled');
                } else {
                    $("#IPMode_0").val(1);
                    // $("#IPAddress_0").removeAttr('disabled');
                    // $("#Netmask_0").removeAttr('disabled');
                    // $("#Gateway_0").removeAttr("disabled");
                    // $("#DNS_0").removeAttr('disabled');
                }

                $("#IPAddress_0").val(data[3]);
                $("#Netmask_0").val(data[4]);
                $("#Gateway_0").val(data[5]);
                $("#DNS_0").val(data[6]);
            }


            if (data[7] != undefined) {
                if (parseInt(data[7]) == 1) {
                    $("#IPMode_1").val(2);
                    IPMode_Select(2);
                    // $("#IPAddress_1").attr('disabled', 'disabled');
                    // $("#Netmask_1").attr('disabled', 'disabled');
                    // $("#Gateway_1").attr('disabled', 'disabled');
                    // $("#DNS_1").attr('disabled', 'disabled');

                } else {
                    $("#IPMode_1").val(1);
                    // $("#IPAddress_1").removeAttr('disabled');
                    // $("#Netmask_1").removeAttr('disabled');
                    // $("#Gateway_1").removeAttr("disabled");
                    // $("#DNS_1").removeAttr('disabled');
                }
                $("#IPAddress_1").val(data[8]);
                $("#Netmask_1").val(data[9]);
                $("#Gateway_1").val(data[10]);
                $("#DNS_1").val(data[11]);
            }

            $("#gateway_name").val(data[data.length-2]);

        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}


function network_set() {
var message = {
        "ip_empty": {
            "zh-CN": "IP地址不能为空。请重新输入IP地址。",
            "en": "The IP Address can't be empty. Please enter an IP Address."
        },
        "mask_empty": {
            "zh-CN": "子网掩码不能为空。请重新输入子网掩码。",
            "en": "The Subnet Mask can't be empty. Please enter a Subnet Mask."
        },
        "ip_invalid": {
            "zh-CN": "IP地址不合法。请重新输入IP地址。",
            "en": "The IP Address is invalid. Please enter a valid IP Address."
        },
        "mask_invalid": {
            "zh-CN": "子网掩码不合法。请重新输入子网掩码。",
            "en": "The subnet mask is invalid. Please enter a valid subnet mask."
        },
        "gateway_invalid": {
            "zh-CN": "默认网关不合法。请重新输入默认网关。",
            "en": "The Default Gateway is invalid. Please enter a vaild Default Gateway IP Address."
        },
        "devicename_invalid": {
            "zh-CN": "设备名不合法。请重新输入设备名。",
            "en": "The Device name is invalid. Please enter a valid Device name."
        },
        "success": {
            "zh-CN": "设置成功！",
            "en": "Success!"
        }
    };
    var lang = 'en';
    lang || (lang = "en");
    var result = true;
    var ipCache = [];
    var data = {};
    for (var i=0;i<AppConfig.NUM_OF_ETH;i++) {
        var IPModeObj = $("#IPMode_" + i);
        var NetmaskObj = $("#Netmask_" + i);
        var GatewayObj = $("#Gateway_" + i);
        var IPAddressObj = $("#IPAddress_" + i);
        var DNSObj = $("#DNS_" + i);
        var IPMode = IPModeObj.val();
        var Netmask = NetmaskObj.val();
        var Gateway = GatewayObj.val();
        var IPAddress = IPAddressObj.val();
        var DNS = DNSObj.val();
        console.log(IPModeObj)
		if(IPMode == 1)
		{
			if (Validator.isEmpty(IPAddress)) {
                IPAddressObj.addClass('highlight-error');
				alert(message['ip_empty'][lang]);
				return;
			}
            IPAddressObj.removeClass('highlight-error');
			if (Validator.isEmpty(Netmask)) {
                NetmaskObj.addClass('highlight-error');
				alert(message['mask_empty'][lang]);
				return;
			}
            NetmaskObj.removeClass('highlight-error');
			if (!Validator.isIPAddress(IPAddress)) {
                IPAddressObj.addClass('highlight-error');
                alert(message['ip_invalid'][lang]);
				return;
			}
            IPAddressObj.removeClass('highlight-error');
			if (!Validator.isMaskAddress(Netmask)) {
                NetmaskObj.addClass('highlight-error');
				alert(message['mask_invalid'][lang]);
				return;
			}
            NetmaskObj.removeClass('highlight-error');
			if (!Validator.isEmpty(Gateway) && !Validator.isGatewayAddress(Gateway)) {
                GatewayObj.addClass('highlight-error');
			    alert(message['gateway_invalid'][lang]);
				return;
			}
            GatewayObj.removeClass('highlight-error');
			/*
			if (!Validator.isDNSAddress(DNS)) {
				alert("The DNS is invalid. Please enter a vaild DNS IP Address.");
				return;
			}
			*/
			if (!Validator.isValidIP(Netmask, IPAddress)) {
                IPAddressObj.addClass('highlight-error');
				alert(message['ip_invalid'][lang]);
				return;
			}
            IPAddressObj.removeClass('highlight-error');
			if (ipCache.indexOf(IPAddress) != -1) {
                IPAddressObj.addClass('highlight-error');
				alert(message['ip_invalid'][lang]);
				return;
			}
            IPAddressObj.removeClass('highlight-error');
		}
        data["IPMode_" + i] = IPMode;
        data["Netmask_" + i] = Netmask;
        data["Gateway_" + i] = Gateway;
        data["IPAddress_" + i] = IPAddress;
        data["DNS_" + i] = DNS;
        ipCache.push(IPAddress);
    }
    data["Gateway_name"] = $("#gateway_name").val();
    if (!Validator.isAlias(data["Gateway_name"])) {
        $("#gateway_name").addClass('highlight-error');
	    alert(message['devicename_invalid'][lang]);
        return;
    }
    $("#gateway_name").removeClass('highlight-error');
    $.ajax({
        type: "POST",
        url: "/ajax/network_set",
		timeout:5000,
        data: data,
        success: function (result) {
            var data = result.split("|");
            if (parseInt(data[2]) == 2){
                alert(message['success'][lang]);
				window.parent.parent.location.replace(data[3]);
            }
			else
				alert(message['success'][lang]);
        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    })

}



/*-------------------- Code for global use ---------------------*/
function modifyTopName(value) {
    window.top.name = value;
}

function ValidateData2(strValidateStr, objName, strError) {
    var epos = strValidateStr.search("=");
    var command = "";
    var cmdvalue = "";
    var obj = document.forms[1][objName];

    if (epos >= 0) {
        command = strValidateStr.substring(0, epos);
        cmdvalue = strValidateStr.substr(epos + 1);
    }
    else {
        command = strValidateStr;
    }
    switch (command) {
        case "req": {
            if (eval(obj.value.length) == 0) {
                if (!strError || strError.length == 0) {
                    strError = obj.name + " : Required Field";
                }
                alert(strError);
                obj.focus();
                return false;
            }
            break;
        }
        case "ipaddress": {
            if (obj.value.length > 0) {
                if (!obj.value.match("^(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])\\.(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])\\.(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])\\.(\\d{1,2}|1\\d\\d|2[0-4]\\d|25[0-5])$")) {
                    if (!strError || strError.length == 0) {
                        strError = obj.name + ": Invalid ip address found ";
                    }
                    alert(strError);
                    obj.focus();
                    return false;
                }
            }
            break;
        }
    }
    return true;
}

function CheckSelectedText() {
    var obj = document.getElementById("OperationMode");
    var check_flag = false;
    for (var i = 0; i < obj.length; i++) {
        if (obj[i].selected == true) {
            if ((obj[i].innerHTML == "RTU/Slave") && (check_flag == false)) {
                check_flag = true;
                document.ModeForm.action = "/goform/TcpServerMode";
                document.ModeForm.submit();
            }
            else if ((obj[i].innerHTML == "ASCII/Slave") && (check_flag == false)) {
                check_flag = true;
                document.ModeForm.action = "/goform/TcpServerMode_Assic";
                document.ModeForm.submit();
            }
            else if ((obj[i].innerHTML == "RTU/Master") && (check_flag == false)) {
                check_flag = true;
                document.ModeForm.action = "/goform/TcpClientMode";
                document.ModeForm.submit();
            }
            else if ((obj[i].innerHTML == "ASCII/Master") && (check_flag == false)) {
                check_flag = true;
                document.ModeForm.action = "/goform/TcpClientMode_Assic";
                document.ModeForm.submit();
            }
            else if ((obj[i].innerHTML == "Disabled") && (check_flag == false)) {
                check_flag = true;
                document.ModeForm.action = "/goform/DisabledMode";
                document.ModeForm.submit();
            }
        }
    }
}
function GetComNameID() {
    if (document.getElementById("Deli1en").checked == true) {
        document.getElementById("Delimiter1").disabled = false;
        document.getElementById("Delimiter1").style.backgroundColor = "white";
        document.getElementById("Deli2en").disabled = false;
        if (document.getElementById("Deli2en").checked == true) {
            document.getElementById("Delimiter2").disabled = false;
            document.getElementById("Delimiter2").style.backgroundColor = "white";
        }
        else {
            document.getElementById("Delimiter2").disabled = true;
            document.getElementById("Delimiter2").style.backgroundColor = "gray";
        }
    }
    else {
        document.getElementById("Delimiter1").disabled = true;
        document.getElementById("Delimiter1").style.backgroundColor = "gray";
        document.getElementById("Delimiter2").disabled = true;
        document.getElementById("Delimiter2").style.backgroundColor = "gray";
        document.getElementById("Deli2en").disabled = true;
        document.getElementById("Deli2en").checked = false;
    }
}
function Deli1enClick() {
    if (document.getElementById("Deli1en").checked == true) {
        document.getElementById("Delimiter1").disabled = false;
        document.getElementById("Delimiter1").style.backgroundColor = "white";
        document.getElementById("Deli2en").disabled = false;
    }
    else {
        document.getElementById("Delimiter1").disabled = true;
        document.getElementById("Delimiter1").style.backgroundColor = "gray";
        document.getElementById("Delimiter2").disabled = true;
        document.getElementById("Delimiter2").style.backgroundColor = "gray";
        document.getElementById("Deli2en").disabled = true;
        document.getElementById("Deli2en").checked = false;
    }
}
function Deli2enClick() {
    if (document.getElementById("Deli2en").checked == true) {
        document.getElementById("Delimiter2").disabled = false;
        document.getElementById("Delimiter2").style.backgroundColor = "white";
    }
    else {
        document.getElementById("Delimiter2").disabled = true;
        document.getElementById("Delimiter2").style.backgroundColor = "gray";
    }
}
function CheckIpStatic(option) {
    if (option == 1) {
        if (
            ValidateData("req", "IpAddr1", "IP address Must fill in!") &&
            ValidateData("ipaddress", "IpAddr1", "IP address IP address format error!") &&
            ValidateData("req", "SubNetMask1", "Netmask Must fill in!") &&
            ValidateData("ipaddress", "SubNetMask1", "Netmask Netmask format error!") /*&&
         ValidateData("req","GateWay1","Gateway£ºMust fill in!") &&
         ValidateData("ipaddress","GateWay1","Gateway£ºNetmask format error!")*/
        )
            return true;
        else
            return false;
    }
    else if (option == 2) {
        if (
            ValidateData("req", "IpAddr2", "IP address£ºMust fill in!") &&
            ValidateData("ipaddress", "IpAddr2", "IP address£ºIP address format error!") &&
            ValidateData("req", "SubNetMask2", "Netmask£ºMust fill in!") &&
            ValidateData("ipaddress", "SubNetMask2", "Netmask£ºNetmask format error!")/* &&
            ValidateData("req","GateWay2","Gateway£ºMust fill in!") &&
		    ValidateData("ipaddress","GateWay2","Gateway£ºNetmask format error!")*/
        )
            return true;
        else
            return false;
    }
}
function CheckIpSetMode(option) {
    var obj = document.getElementById("IpSetMode1");
    var obj2 = document.getElementById("IpSetMode2");
    for (var i = 0; i < obj.length; i++) {
        if (obj[i].selected == true) {
            if (obj[i].innerHTML == "DHCP") {
                switch (option) {
                    case 1:
                    case 2:
                        DisableControl("IpAddr1");
                        DisableControl("SubNetMask1");
                        DisableControl("GateWay1");
                        if (option == 2)
                            DisableControl("DNS1");
                        break;
                }

            }
            else if (obj[i].innerHTML == "Static") {
                switch (option) {
                    case 1:
                    case 2:
                        EnableControl("IpAddr1");
                        EnableControl("SubNetMask1");
                        EnableControl("GateWay1");
                        if (option == 2)
                            EnableControl("DNS1");
                        break;
                    case 3:
                        return CheckIpStatic(1);
                        break;
                    case 4:
                        if (
                            CheckIpStatic(1) &&
                            CheckIpStatic(2) &&
                            ValidateData("req", "Mac1", "Mac Must fill in!") &&
                            ValidateData("mac", "Mac1", "MAC format error!") &&
                            ValidateData("req", "DNS1", "DNS Server£ºMust fill in") &&
                            ValidateData("ipaddress", "DNS1", "DNS Server£ºDNS Server format error!") &&
                            ValidateData("req", "Mac2", "Mac Must fill in!") &&
                            ValidateData("mac", "Mac2", "MAC format error!") &&
                            ValidateData("req", "DNS2", "DNS Server£ºMust fill in") &&
                            ValidateData("ipaddress", "DNS2", "DNS Server£ºDNS Server format error!")
                        )
                            return true;
                        else
                            return false;
                        break;
                }
            }
        }
    }
    for (var i = 0; i < obj2.length; i++) {
        if (obj2[i].selected == true) {
            if (obj2[i].innerHTML == "DHCP") {
                switch (option) {
                    case 1:
                    case 2:
                        DisableControl("IpAddr2");
                        DisableControl("SubNetMask2");
                        DisableControl("GateWay2");
                        if (option == 2)
                            DisableControl("DNS2");
                        break;
                }

            }
            else if (obj2[i].innerHTML == "Static") {
                switch (option) {
                    case 1:
                    case 2:
                        EnableControl("IpAddr2");
                        EnableControl("SubNetMask2");
                        EnableControl("GateWay2");
                        if (option == 2)
                            EnableControl("DNS2");
                        break;
                    case 3:
                        return CheckIpStatic(2);
                        break;
                    case 4:
                        if (
                            CheckIpStatic(1) &&
                            CheckIpStatic(2) &&
                            ValidateData("req", "Mac1", "Mac Must fill in!") &&
                            ValidateData("mac", "Mac1", "MAC format error!") &&
                            ValidateData("req", "DNS1", "DNS Server£ºMust fill in") &&
                            ValidateData("ipaddress", "DNS1", "DNS Server£ºDNS Server format error!") &&
                            ValidateData("req", "Mac2", "Mac Must fill in!") &&
                            ValidateData("mac", "Mac2", "MAC format error!") &&
                            ValidateData("req", "DNS2", "DNS Server£ºMust fill in") &&
                            ValidateData("ipaddress", "DNS2", "DNS Server£ºDNS Server format error!")
                        )
                            return true;
                        else
                            return false;
                        break;
                }
            }
        }
    }
}
function Filter_check() {
    var FiterEn = document.getElementById("Deli1en").checked;
    var IDstart = document.getElementById("ID_Start");
    var IDend = document.getElementById("ID_End");
    if (FiterEn == true) {
        if ((eval(IDstart.value) < 1) || (eval(IDstart.value) > 247) || IDstart.value.length == 0) {
            alert("Filter_IDStart: Values beyond the range (1 ~ 247)");
            IDstart.focus();
            return false;
        }
        if ((eval(IDend.value) < 1) || (eval(IDend.value) > 247) || IDstart.value.length == 0) {
            alert("Filter_IDEnd: Values beyond the range (1 ~ 247)");
            IDend.focus();
            return false;
        }
    }
    return true;
}
function RepNumKeyUp(obj) {
    obj.value = obj.value.replace(/[^0-9]/g, '');
}
function RepHexNumKeyUp(obj) {
    obj.value = obj.value.replace(/[^0-9a-fA-F]/g, '');
}
function checkReport() {
    if (
        ValidateData("req", "ReportToIP", "IP address Must fill in!") &&
        ValidateData("ipaddress", "ReportToIP", "IP Address IP address format error!") &&
        ValidateData("req", "ReportToPort", "Report Port Values beyond the range (0 ~ 65535)") &&
        ValidateData("lessthan=65535", "ReportToPort", "Report Port Values beyond the range (0 ~ 65535)") &&
        ValidateData("greaterthan=0", "ReportToPort", "Report Port Values beyond the range (0 ~ 65535)") &&
        ValidateData("req", "ReportTime", "Cycle Value Values beyond the range (0 ~ 65535)") &&
        ValidateData("num", "ReportTime", "Cycle Value Must be number!")
    )
        return true;
    else
        return false;
}
/*-------------------- Code for serial_v3.4.html use ---------------------*/
function default_serial_infomation() {
    var index = 4;
    var inner_index = 6;
    var ids = new Array();
    var str = new Array();

    str[0] = ['300', '600', '1200', '2400', '4800', '9600', '14400', '19200', '28800', '38400', '57600', '115200', '230400', '460800'];
    str[1] = ['7', '8'];
    str[2] = ['1', '2'];
    str[3] = ['None', 'Odd', 'Even', 'Mark', 'Space'];
    str[4] = ['None', 'RTS/CTS', 'XON/XOFF'];
    str[5] = ['RS-232', 'RS-485', 'RS-422'];

    for (var i = 0; i < index; i++) {
        var sn = i + 1;
        ids[0] = 'Baud_' + sn;
        ids[1] = 'Databits_' + sn;
        ids[2] = 'Stopbits_' + sn;
        ids[3] = 'Parity_' + sn;
        ids[4] = 'FlowCtrl_' + sn;
        ids[5] = 'Interface_' + sn;
        for (var x = 0; x < inner_index; x++) {
            var _select = $("#" + ids[x]);
            for (var y = 0; y < str[x].length; y++) {
                _select.append("<option value=" + y + ">" + str[x][y] + "</option>");
            }
        }
    }
}
function serial_infomation() {
	var snUrl = change_url("/ajax/serial_infomation");
    $.ajax({
        type: "GET",
        url: snUrl,
		timeout:5000,
        success: function (result) {
            var data = result.split("|");

            var index = 4;
            var inner_index = 8;
            var ids = new Array();

            for (var i = 0; i < index; i++) {
                var sn = i + 1
                ids[0] = 'port_' + sn;
                ids[1] = 'Baud_' + sn;
                ids[2] = 'Databits_' + sn;
                ids[3] = 'Stopbits_' + sn;
                ids[4] = 'Parity_' + sn;
                ids[5] = 'FlowCtrl_' + sn;
                ids[6] = 'Interface_' + sn;
                ids[7] = "Operatingmode_" + sn;
                for (var x = 0; x < inner_index; x++) {
                    var _select = $("#" + ids[x]);
                    _select.val(data[(i * inner_index + 2) + x]);
                }
            }
        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}


function serial_set() {
    var Data;
    var index = AppConfig.NUM_OF_SERIAL;
    var inner_index = 8;
    var ids = new Array();

    for (var i = 0; i < index; i++) {
        var sn = i + 1;
        ids[0] = 'port_' + sn;
        ids[1] = 'Baud_' + sn;
        ids[2] = 'Databits_' + sn;
        ids[3] = 'Stopbits_' + sn;
        ids[4] = 'Parity_' + sn;
        ids[5] = 'FlowCtrl_' + sn;
        ids[6] = 'Interface_' + sn;
        ids[7] = "Operatingmode_" + sn;
        if (!Validator.isAlias($("#" + ids[0]).val())) {
            $("#" + ids[0]).addClass('highlight-error');
			if ('en' == 'zh-CN')
				alert("串口别名无效，请输入一个有效的别名。");
			else
				alert("Alias is invalid. Please enter a valid Alias.");
            return;
        }
        $("#" + ids[0]).removeClass('highlight-error');
        for (var x = 0; x < inner_index; x++) {
            var _select = $("#" + ids[x]);
            Data += '&' + ids[x] + '=' + _select.val();
        }
    }
    $.ajax({
        type: "POST",
        url: "/ajax/serial_set",
		timeout:5000,
        data: Data,
        success: function (result) {
            var data = result.split("|");
            if (parseInt(data[2]) < 0) {
                if ('en' == 'zh-CN') alert("设置失败！");
                else alert("Failed!");
            } else {
                if ('en' == 'zh-CN') {
                    alert("设置成功！");
                } else {
                    alert("Serial settings updated successfully.");
                }
            }
        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}


/*-------------------- Code for operationmode_v3.4.html use ---------------------*/
function Mode_Show(index) {
    var ids = ['#table_1', '#table_2', '#table_3', '#table_4'];
    switch (index) {
        case '1':
            DIV_toggle(ids, 'All', 'hide', -1);
            break;
        case '2':
            DIV_toggle(ids, 'Keep', 'hide', 3);
            break;
        case '3':
            DIV_toggle(ids, 'Keep', 'hide', 3);
            break;
        case '4':
            DIV_toggle(ids, 'All', 'show', -1);
			//DIV_toggle(ids, 'Set', 'hide', 0);
            DIV_toggle(ids, 'Set', 'hide', 1);
            DIV_toggle(ids, 'Set', 'hide', 2);
            break;
        case '5':
            DIV_toggle(ids, 'All', 'show', -1);
			//DIV_toggle(ids, 'Set', 'hide', 0);
            DIV_toggle(ids, 'Set', 'hide', 1);
            DIV_toggle(ids, 'Set', 'hide', 2);
            break;
        default:
            DIV_toggle(ids, 'All', 'hide', -1);
            break;
    }
}
function DIV_toggle(ids, _mode, _class, index) {
    switch (_mode) {
        case 'Keep':
            for (var i = 0; i < ids.length; i++) {
                if (_class == 'show') {
                    if (i == index) $(ids[i]).removeClass("hide").addClass("show");
                    else $(ids[i]).removeClass("show").addClass("hide");
                }
                if (_class == 'hide') {
                    if (i == index) $(ids[i]).removeClass("show").addClass("hide");
                    else $(ids[i]).removeClass("hide").addClass("show");
                }
            }
            break;
        case 'Set':
            if (_class == 'show') $(ids[index]).removeClass("hide").addClass("show");
            if (_class == 'hide') $(ids[index]).removeClass("show").addClass("hide");
            break;
        case 'All':
            for (var i = 0; i < ids.length; i++) {
                if (_class == 'show') $(ids[i]).removeClass("hide").addClass("show");
                if (_class == 'hide') $(ids[i]).removeClass("show").addClass("hide");
            }
            break;
        default:
            for (var i = 0; i < ids.length; i++) {
                if (_class == 'show') $(ids[i]).removeClass("hide").addClass("show");
                if (_class == 'hide') $(ids[i]).removeClass("show").addClass("hide");
            }
            break;
    }
}
/*-------------------- Code for localsetting.html use ---------------------*/
function local_infomation() {
    $.ajax({
        type: "POST",
        url: "/ajax/local_infomation",
		timeout:5000,
        data: "NoUse",
        success: function (result) {
            var data = result.split("|");
            var ids = new Array();

            ids[0] = '#GateMB_id';
			ids[1] = '#GateMB_Protocol';
            ids[2] = '#GateMB_port';
            ids[3] = '#TimeOut';
            ids[4] = '#InterPK_delay';
            $(ids[0]).val(data[2]);
			
			if ((parseInt(data[3]) < 1) || (parseInt(data[3]) > 2))
				$(ids[1]).val(1);
			else
				$(ids[1]).val(parseInt(data[3]) + 1);

            $(ids[2]).val(data[4]);
            $(ids[3]).val(data[5]);
			$(ids[4]).val(data[6]);
        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}
function local_set() {
	var lang = 'en';
    var message = {
        "GateMB_id": {
            "zh-CN": "网关Modbus ID范围(1 ~ 247)！",
            "en": "The Gateway Modbus ID must be between 1~247.  Please enter a valid Gateway Modbus ID."
        },
        "GateMB_port": {
            "zh-CN": "网关Modbus端口范围(1 ~ 65535)！",
            "en": "The Gateway Modbus Port must be between 1~65535. Please enter a valid Gateway Modbus Port."
        },
        "TimeOut": {
            "zh-CN": "网关默认超时时间范围(0 ~ 6000)！",
            "en": "The Default Timeout must be between 0~6000. Please enter a valid Timeout."
        },
        "InterPK_delay": {
            "zh-CN": "网关内部发送延时范围(0 ~ 6000)！",
            "en": "The Inter-packet TX Delay must be between 0~6000. Please enter a valid Inter-packet TX Delay."
        },
        "Failed": {
            "zh-CN": "设置失败！",
            "en": "Failed!"
        },
        "Success": {
            "zh-CN": "设置成功！",
            "en": "Success!"
        }
    };
    if (
        ValidateData("req", "GateMB_id", message['GateMB_id'][lang]) &&
        ValidateData("ID", "GateMB_id", message['GateMB_id'][lang]) &&
        ValidateData("req", "GateMB_port", message['GateMB_port'][lang]) &&
        ValidateData("num", "GateMB_port", message['GateMB_port'][lang]) &&
        ValidateData("req", "TimeOut", message['TimeOut'][lang]) &&
        ValidateData("num", "TimeOut", message['TimeOut'][lang]) &&
        ValidateData("req", "InterPK_delay", message['InterPK_delay'][lang]) &&
        ValidateData("num", "InterPK_delay", message['InterPK_delay'][lang])
    ) {

        var GateMB_id = $("#GateMB_id").val();
	var GateMB_Protocol = $("#GateMB_Protocol").val()-1;
        var GateMB_port = $("#GateMB_port").val();
        var TimeOut = $("#TimeOut").val();
        var InterPK_delay = $("#InterPK_delay").val();
        if ((GateMB_id < 1) || (GateMB_id > 247)) {
            alert(message['GateMB_id'][lang]);
            return false;
        }
        if ((GateMB_port < 1) || (GateMB_port > 65535)) {
            alert(message['GateMB_port'][lang]);
            return false;
        }
        if ((TimeOut < 0) || (TimeOut > 6000)) {
            alert(message['TimeOut'][lang]);
            return false;
        }
        if ((InterPK_delay < 0) || (InterPK_delay > 6000)) {
            alert(message['InterPK_delay'][lang]);
            return false;
        }
        $.ajax({
            type: "POST",
            url: "/ajax/local_set",
	    	timeout:5000,
            data: {
                "GateMB_id": (GateMB_id-0),
				"GateMB_Protocol":GateMB_Protocol,
                "GateMB_port": (GateMB_port-0),
                "TimeOut": (TimeOut-0),
                "InterPK_delay": (InterPK_delay-0)
            },
            success: function (result) {
                var data = result.split("|");
                if (parseInt(data[2]) < 0) {
                    alert(message['Failed'][lang]);
		} else {
		    alert(message['Success'][lang]);
                }
            },
            error: function (result, status) {
                if (status == 'error') {//alert(status);
                }
                return -1;
            }
        });
    }
}
/*-------------------- Code for importexport_v3.4.html use ---------------------*/
function Export() {
    var form = $("<form>");//定义一个form表单
    form.attr("style", "display:none");
    form.attr("target", "");
    form.attr("method", "post");
    form.attr("action", "/action/export");
    var _input = $("<input>");
    _input.attr("type", "hidden");
    _input.attr("name", "exportData");
    _input.attr("value", (new Date()).getMilliseconds());
    $("body").append(form);//将表单放置在web中
    form.append(_input);

    form.submit();//表单提交
    /*	$.ajax({
     type:"POST",
     url:"/ajax/export",
     data:"NoUse",
     success: function(result){
     var data = result.split("|");
     },
     error:function(result, status) {
     if (status == 'error') {
     //alert(status);
     }
     return -1;
     }
     });*/
}
function Import() {
    return CheckFileEmpty("file", "import");
    /*if(result == true){
     var formData = new FormData();
     formData.append('file', $('#file')[0].files[0]);
     $.ajax({
     url: '/goform/import',
     type: 'POST',
     cache: false,
     data: formData,
     processData: false,
     contentType: false
     }).done(function(res) {
     }).fail(function(res) {})

     var form=$("<form>");//定义一个form表单
     form.attr("style","display:none");
     form.attr("target","");
     form.attr("method","post");
     form.attr("action","/goform/import");
     form.encding="multipart/form-data";
     var _input = $("<input class="base_dimension">");
     _input.attr("type","hidden");
     _input.attr("name","importData");
     _input.attr("value",document.getElementById("file").value);
     $("body").append(form);//将表单放置在web中
     form.append(_input);

     form.submit();//表单提交
     return true;
     }
     else{
     return false;
     }*/
}
/*-------------------- Code for upgrade_v3.4.html use ---------------------*/
function CheckFileEmpty(id, flg) {
	var message;
	if(flg == "import")
		message = "<font color='red'>Selected file is not a saved configuration file.</font>";
	else if(flg == "upgread")
		message = "<font color='red'>Firmware file format is wrong.</font>";

    var oFile = document.getElementById(id);
    if (oFile.value == "") {
		if(flg == "upgread")
		{
			if ('en' == 'zh-CN') alert('请选择一个升级固件。');
       		else alert('Browse to select a firmware file.');
		}else{
			if ('en' == 'zh-CN')alert('请选择一个配置文件。');
			else alert('Browse to select a file.');
		}
		return false;
    }
    else
	{
		var status = $('#msg');
		var obj=document.getElementById(id);
		var str=obj.value.split("\\")[obj.value.split("\\").length-1];
		var re=/[\u0391-\uFFE5\s]+/g
		if (str.match(re) != null) {
			status.html(message);
			return false;
		}
		else {
			return true;
		}
	}
}
function Upgrade() {
    var result = CheckFileEmpty("file", "upgread");
    if (result == true)return true;
    else return false;
}
/*-------------------- Code for usermanage_v3.4.html use ---------------------*/
function user_get() {
	var unUrl = change_url("/ajax/user_get");
    $.ajax({
        type: "GET",
        url: unUrl,
		timeout:5000,
        success: function (result) 
		{
            var data = result.split("|");
            $("#User").val(data[2]);
			if(parseInt(data[3]) == 1)
			{
				$("#Security")[0].checked=true;
				$("#Security").attr('init', 1);
			}else{
				$("#Security")[0].checked=false;
				$("#Security").attr('init', 0);
		   }
        },
        error: function (result, status) {
            if (status == 'error') {//alert(status);
            }
            return -1;
        }
    });
}
function isEmpty(objID, strError) {
    var value = document.getElementById(objID).value;
    if ((value == '') || (value == 'undefined')) {
        $("#" + objID).addClass('highlight-error');
        alert(strError);
        return false;
    } else {
        $("#" + objID).removeClass('highlight-error');
        return true;
    }
}

function isEqual(str1, str2) {
    var str1Val = $('#' + str1).val();
    var str2Val = $('#' + str2).val();
    if (str1Val == str2Val) {
        $('#' + str2).removeClass('highlight-error');
        return true;
    }
    $('#' + str2).addClass('highlight-error');
	if ('en' == 'zh-CN')alert('新密码不匹配。');
    else alert("The new password entries don't match.");
    return false;
}


function change_passwd() {
    var lang = 'en';
    var message = {
        "OldPassword": {
            "zh-CN": "请输入初始密码。",
            "en": "Please enter the Old Password."
        },
        "NewPassword": {
            "zh-CN": "请输入新密码。",
            "en": "Please enter a New Password."
        },
        "RetypePassword": {
            "zh-CN": "请重新输入新密码。",
            "en": "Please Retype New Password."
        },
        "Incorrect": {
            "zh-CN": "初始密码不正确，请重新输入。",
            "en": "The Old Password is incorrect. Please enter the Old Password."
        },
        "Success": {
            "zh-CN": "密码已修改",
            "en": "The password has been changed."
        }
    };
    var result;
	var check = $("#Security")[0].checked != $("#Security").attr('init')
    if (
		check ||
        isEmpty("OldPassword", message['OldPassword'][lang]) &&
        isEmpty("NewPassword", message['NewPassword'][lang]) &&
        isEmpty("RetypePassword", message['RetypePassword'][lang]) &&
        isEqual("NewPassword", "RetypePassword")
    ) {
		var data = {
                "OldPassword": $("#OldPassword").val(),
                "NewPassword": $("#NewPassword").val(),
                "RetypePassword": $("#RetypePassword").val(),
                "Https": $("#Security").is(":checked"),
				"change": 0
            };
		check && (data['change'] = 1);
        $.ajax({
            type: "POST",
            url: "/ajax/passwd_set",
	    	timeout:5000,
            data: data,
            success: function (result) 
			{
                var data = result.split("|");
                if (parseInt(data[2]) == 2) 
				{
					alert(message['Success'][lang]);
					window.parent.parent.location.reload();
				}
				else if(parseInt(data[2]) == 1) 
				{
					alert(message['Incorrect'][lang]);
				}
				else if(parseInt(data[2]) == 3 || parseInt(data[2]) == 4)
				{
					if(parseInt(data[2]) == 3)
						alert("HTTPS is enabled. Include the https:// prefix in the browser address field with the gateway IP address and log back in to the gateway user interface.!");
					else if(parseInt(data[2]) == 4)
						alert("HTTP is enabled. Include the http:// prefix in the browser address field with the gateway IP address and log back in to the gateway user interface.!");
					location.reload();
				}
				
            },
            error: function (result, status) {
                if (status == 'error') {//alert(status);
                }
                return -1;
            }
        });
    } else {
        result = false;
    }
}


function validate() {
    var pw1 = $("#NewPassword").val();
    var pw2 = $("#RetypePassword").val();
    if (pw1 == pw2) {
        $("#check").html("<font size='3' color='blue'>&nbsp;&#8730</font>");
    }
    else 
	{
		if ('en' == 'zh-CN')
			$("#check").html("<font color='red'>&nbsp;新密码不匹配。</font>");
    	else 
			$("#check").html("<font color='red'>&nbsp;The new password entries don't match.</font>");
    }
}
function CheckSpace() {
    if (/\s/.test(document.UserManage.WebNpwd1.value)) {
        alert("web登录新口令输入中存在空格字符，请重新输入");
        document.UserManage.WebNpwd1.focus();
        return false;
    }
    else if (/\s/.test(document.UserManage.SysNpwd1.value)) {
        alert("新口令输入中存在空格字符，请重新输入");
        document.UserManage.SysNpwd1.focus();
        return false;
    }
    else
        return true;
}
function Reloadweb()
{
	var i = 130;
	var s = window.setInterval(function(){
		i--;
		if(i<=0){
			if (navigator.userAgent.indexOf("MSIE") > 0) {
				if (navigator.userAgent.indexOf("MSIE 6.0") > 0) {
					window.opener = null;
				} else {
					window.parent.location.replace("login_v3.5.html");
				}
			} else if (navigator.userAgent.indexOf("Chrome") > 0) { //for Chrome
				//var opened=window.open('','_self');
				//opened.close();
				//window.location.replace("about:blank");
				window.parent.location.replace("login_v3.5.html"); //for frames
			} else {
				window.opener = null;
				window.parent.location.replace("login_v3.5.html");
			}
			window.parent.parent.location.replace("login_v3.5.html");  //added for ADC project
			//window.parent.parent.location.reload();
			window.close();
		}
		switch(i%3)
		{
			case 0:
				document.getElementById("Messge").innerHTML = "Please wait, Modbus Gateway is rebooting...";break;
			case 1:
				document.getElementById("Messge").innerHTML = "Please wait, Modbus Gateway is rebooting..&nbsp;";break;
			case 2:
				document.getElementById("Messge").innerHTML = "Please wait, Modbus Gateway is rebooting.&nbsp;&nbsp;";break;
		}
	}, 500); 
}
/*-------------------- Code for reboot_v3.4.html use ---------------------*/
function reboot() {
    //var result = IsSure(1);
    var result = true;
    if (result == true) {
        $.ajax({
            type: "POST",
            url: "/ajax/reboot",
			timeout:5000,
            data: "NoUse",
            success: function (result) {
                var data = result.split("|");
				Reloadweb();
            },
            error: function (result, status) {
                if (status == 'error') {
                    //alert(status);
                }
                return -1;
            }
        });
    }
	
}

/*-------------------- Code for restore_v3.4.html use ---------------------*/
function restore() {
    var result = IsSure(2);
    if (result == true) {
        $.ajax({
            type: "POST",
            url: "/ajax/restore",
			timeout:5000,
            data: "NoUse",
            success: function (result) {
                var data = result.split("|");
            },
            error: function (result, status) {
                if (status == 'error') {
                    //alert(status);
                }
                return -1;
            }
        });
    }
}

function onlyNumberInput(o) {                                                                                                                                                                              
	var val = o.value;                                                                                                                                                                
	var reg = new RegExp("^\\d*$", "g");    
	
	if (reg.test(val)) {                                                                                                                 
	        $(o).removeClass('highlight-error');                                                                                           
	} else {                                                                                                                             
	        $(o).addClass('highlight-error');                                                                                              
	}                                                                                                               
}     